java web server on ip phone not working under SCCP45.9-0-2SR1S

Unanswered Question
Jun 9th, 2010
User Badges:
  • Silver, 250 points or more
  • Community Spotlight Award,

    Best Publication, November 2015

Customer has a new CUCM system going in.  We've got the cluster at a 7.1(5) code level.


Starting to attach phones, and seeing some really strange behavior.  The default firmware load is SCCP45.9-0-2SR1S, so some phones (new out of the box) are simply refusing to upgrade.  We take those to 8.5(2) and then they upgrade to SCCP45.9-0-2SR1S and work just fine.


However, some phones are booting up and upgrading directly to SCCP45.9-0-2SR1S.  On these phones, the internal web server on the phone does not work.  If we downgrade the firmware to 8.5(2) and then upgrade it back to 9.0(2), then it starts working.  These are all 7965 phones


This is very strange.  Has anyone else seen this behavior?

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (1 ratings)
Loading.

Have you been able to resolve this issue? I just upgraded to 7.1.5 and all of my phones remained on their previous firmware. Te release notes state that there is a new feature that allows you to switch loads via the Device Defaults page however the new options do not appear. New firmware versions are listed in the Device Defaults yet they will not load.....Interesting!

Clifford McGlamry Fri, 06/11/2010 - 05:21
User Badges:
  • Silver, 250 points or more
  • Community Spotlight Award,

    Best Publication, November 2015

We've figured out more about the problem and at least how to handle it.


7.1(5) installs a device pak that wants the 794x and 796x phones to be assigned a firmware load SCCP45.9-0-2SR1S.  These were new phones out of the box, and it's documented that 7945/7965 devices that have not been upgraded to at least SCCP45.8-5-2SR1S cannot upgrade to loads PAST that due to a buffer space issue.  Other 7961/7962/7941/7942 b&w models have similar issues, but the affected firmware load names are slightly different (SCCP42).


The way you fix it is to go into the Device Defaults Configuration (Device ==> Device Settings ==> Device Defaults page.  Scroll down to your phone type (in my case I was dealing with 7965 phones running SCCP).  The 8.5(2) load for my phone model is SCCP45.8-5-2SR1S.  If you need the name, go the the TFTP file management page and look at the names of the files in there.  This is the file name less the extension of .loads.


In our case, we found that some phones were upgrading directly out of the box to the 9.0(2) code, but the java web server wasn't working.  Other phones would not upgrade at all.  When we changed to the 8.5(2) code, the phones that went straight to 9 did downgrade themselves.  Some phones that were deployed still would not take the new loads.


The phones that refused to upgrade were managed by doing a reset to factory defaults (on the 7965, hold down the # key while applying power till the line buttons begin to flash in cascade.  At that point release the key and enter 1,2,3,4,5,6,7,8,9,*,0,#.  The phone will reset itself to a factory load and then take the 8.5(2) load assigned.


Once the phones are all at 8.5(2), you can reset the default load back to 9.0(2) and everything works correctly.  New phones out of the box can be managed with a similar process by setting the phone load on the device page for that specific phone and following the same logic.


Hope this helps.

Actions

This Discussion

Related Content